論文を確認または読む
curl --request GET \
--url https://api.firecrawl.dev/v2/search/research/papers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v2/search/research/papers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v2/search/research/papers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paper": {
"abstract": "We show that diffusion models can achieve image sample quality superior to the current state-of-the-art generative models...",
"authors": "Prafulla Dhariwal, Alexander Nichol",
"categories": [
"cs.LG"
],
"createdDate": "Wed, 11 May 2021 18:01:01 GMT",
"ids": {
"arxiv": [
"2105.05233"
]
},
"paperId": "2014215642691656232",
"title": "Diffusion Models Beat GANs on Image Synthesis",
"updateDate": "2021-06-01"
},
"success": true
}Research Index エンドポイント
論文を確認または読む
GET
/
search
/
research
/
papers
/
{id}
論文を確認または読む
IDを指定して論文のメタデータを確認したり、
query パラメータを追加して、質問に最も関連性の高い本文の抜粋を読んだりできます。
利用できるIDには、標準の paperId 値と、ソース固有の primaryId 値 (例: arxiv:1706.03762) があります。
ワークフローの概要については、Research Index ガイドを参照してください。承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
論文参照: 正規 paperId またはソース固有の primaryId。
クエリパラメータ
指定すると、この question に最も一致する全文パッセージ上位を返します。省略すると、メタデータのみを確認します。
Minimum string length:
1読み取りモードのパッセージ数。query が指定されている場合にのみ有効です。
必須範囲:
1 <= x <= 50⌘I

